namespace Reminesce
{
struct iNesHeader
{
	u8 prg;
	u8 chr;
	u16 prg8;
	u16 chr1;
	u8 vmirror;
	u8 sram;
	u8 trainer;
	u8 fourScreenMirroring;
	u8 mapNumber;
	u8 footer;
	u16 junk;
	char *footerText;
};

extern u8 *prgromPtr, *chrromPtr;
extern ui imageSize;

extern struct iNesHeader header;

int loadPath();
u8 checkHeader(u8 *head, ui *size);

extern u8 StateNum;

extern u16 *loggedImage;
extern u8 rwMode, logMode;


//loads in the image, returns size, 0 are errors
int loadImage(int size);

void LoadWram();
void SaveWram();

//OS dependent
void GetLocalPath(const char *szFolder, const char *szExt, char *szPath, int strSize);


void setRegionMode(char *szFilename);

//platform func
int postLoad();
int checkHeadInfo(int val); //0 is okay
int LoadHeader(u8 *header);			//Fill 16byte header, returns image size, 0 is an error
int SetPrgChrMemory();
void deletePrgChrMemory();
void setRegionMode(int regionNumber);
}
