#include	"../DLL/d_FDS.h"
#include	"../Hardware/h_FDS.h"

static	void	__cdecl	SaveMI (Ar128 MI)
{
	FDS_SaveMI(MI,0);
}

static	void	__cdecl	LoadMI (const Ar128 MI)
{
	FDS_LoadMI(MI,0);
}

static	void	__cdecl	UnloadMapper (void)
{
	FDS_Destroy();
}

static	void	__cdecl	InitMapper (const PMapperParam _MP, int IsHardReset)
{
	MP = _MP;
	FDS_Init();
}

CTMapperInfo	MapperInfo_FDS =
{
	"HVC-FMR",
	-1,
	MS_Partial,
	32768,
	InitMapper,
	UnloadMapper,
	FDS_HBlank,
	NULL,
	SaveMI,
	LoadMI,
	FDS_MapperSnd,
	FDS_MenuClick
};